from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XFrames(XIndexAccess, Protocol):
    def append(self, xFrame: XFrame) -> None: ...
    def queryFrames(self, nSearchFlags: int) -> list[XFrame]: ...
    def remove(self, xFrame: XFrame) -> None: ...
